GET /serviceengine/{uuid}/systeminfo/
/serviceengine/{uuid}/systeminfo/
UUID of the object to fetch
Avi Tenant Header
Avi Tenant Header UUID
Avi Controller may send back CSRF token in the response cookies. The caller should update the request headers with this token else controller will reject requests.
The caller is required to set Avi Version Header to the expected version of configuration. The response from the controller will provide and accept data according to the specified version. The controller will reject POST and PUT requests where the data is not compatible with the specified version.
OK
{
"cloud": "string",
"disk_size": 0,
"disk_type": "string",
"dispatcher_info": {
"active_cores": 0,
"dedicated_dispatcher_on": false,
"dispatcher_cores": 0,
"dp_isolated_cores": 0,
"num_queues": 0,
"num_queues_per_dispatcher": 0,
"proxy_cores": 0
},
"fips_info": {
"fips_compliance_standard": "string",
"fips_mode_enabled": false,
"fips_provider_version": "string",
"openssl_base_version": "string"
},
"hypervisor": "string",
"iommu_mode": "string",
"memdist_info": {
"app_cache_mb": 0,
"app_learning_memory_mb": 0,
"clusters": 0,
"config_memory_mb": 0,
"conn_memory_mb": 0,
"conn_memory_mb_per_core": 0,
"huge_pages": 0,
"os_reserved_memory_mb": 0,
"qat_hpage_mem_mb": 0,
"shm_config_memory_mb": 0,
"shm_conn_memory_mb": 0,
"shm_memory_mb": 0
},
"memory": 0,
"network_info": {
"active_ofed_version": "string",
"datapath_nic_drivers": "string",
"dpdk_mode": false,
"dpdk_version": "string",
"inband_mgmt": false,
"is_mgmt_port_channel": false,
"loaded_mlx_modules": "string",
"mgmt_intf_name": "string",
"mgmt_nic_driver_family": "string",
"num_active_nics": 0,
"num_datapath_interfaces": 0,
"num_passive_nics": 0,
"num_port_channels": 0,
"num_vlan_interfaces": 0
},
"num_cores": 0,
"num_qat_devices": 0,
"num_sockets": 0,
"proc_id": "string",
"se_uuid": "string",
"use_hyper_threading": 0,
"version_info": {
"active_root_partition": "string",
"boot_mode": "string",
"host_os_version": "string",
"kernel_version": "string",
"lsc_deployment_mode": "string",
"openssl_base_version": "string",
"openssl_providers": "string",
"os_version": "string",
"se_image_version": "string",
"se_patch_version": "string"
}
}
SE Instance in Cloud. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SE Disk Size. Field introduced in 31.2.1. Unit is MB. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SE Disk Type HDD/SSD. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
dispatcher_info
fips_info
SE Hypervisor Type. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
SE IOMMU Mode. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
memdist_info
SE System Memory. Field introduced in 31.2.1. Unit is MB. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
network_info
Total Num of Cores of SE. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Num Sockets of SE. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
Hyperthreading on SE. Field introduced in 31.2.1. Allowed with any value in Enterprise, Essentials, Basic, Enterprise with Cloud Services edition.
version_info
log in failed
object not found
curl -H 'Authorization: <value>' https://{api_host}/api/serviceengine/{uuid}/systeminfo